Name:           perl-Net-CUPS
Version:        0.61
Release:        9%{?dist}
Summary:        Perl bindings to the CUPS C API Interface
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CUPS/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DH/DHAGEMAN/Net-CUPS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  cups-devel

# perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
Net::CUPS is an interface to the Common Unix Printing System API.  If you feel
an urge to control CUPS servers via Perl, this is a good way to do it :)

%prep
%setup -q -n Net-CUPS-%{version}

find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# not much in the way of examples, so let's throw in the tests.
%doc Changes README TODO t/ examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.61-8
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.61-6
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.61-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.61-4
- rebuild against perl 5.10.1

* Fri Aug 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.61-3
- bump

* Sun Aug 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.61-2
- add filtering to remove private so metadata

* Sun Aug 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.61-1
- auto-update to 0.61 (by cpan-spec-update 0.01)
- added a new req on perl(Test::More) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.59-2
- ...and finish cleaning up

* Sat Jan 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.59-1
- update to 0.59
- drop some fixes that have been applied upstream (RHBZ#455190, RHBZ#455192,
  RT#35966)

* Sun Jul 13 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.56-2
- and remove i18n.h from CUPS.xs.  See bz#455190
- add zlib-devel as a BR.  See bz#455192
- patch t/03_destination.t to not test add/remove functionality -- this is an
  admin action under Fedora, if memory serves

* Sun Jul 13 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.56-1
- update to 0.56

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.55-4
- Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.55-3
- Autorebuild for GCC 4.3

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 0.55-2
- Adjust Licence-tag.
- Spec file cosmetics.
- BR: perl(Test::More) (BZ 419631).

* Tue Dec 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.55-1
- update to 0.55

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-3
- bump

* Wed Mar 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-2
- bump

* Fri Mar 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-1
- Specfile autogenerated by cpanspec 1.70.
